NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Member Functions | Properties | List of all members
NXOpen.SketchAutoConstrainBuilder Class Reference

Represents a NXOpen.SketchAutoConstrainBuilder More...

Inheritance diagram for NXOpen.SketchAutoConstrainBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Member Functions

unsafe void ClearAllConstraints ()
 Clear all of the indivivual constraints (turn toggle to off for each one) More...
 
unsafe void SetAllConstraints ()
 Set all of the individual constraints (turn toggle to on for each one) More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe double AngleTolerance [get, set]
 Returns or sets the angle tolerance More...
 
unsafe bool ApplyRemoteConstraints [get, set]
 Returns or sets the apply remote constraints More...
 
unsafe bool Coincident [get, set]
 Returns or sets the coincident More...
 
unsafe bool Collinear [get, set]
 Returns or sets the collinear More...
 
unsafe bool Concentric [get, set]
 Returns or sets the concentric More...
 
unsafe NXOpen.SelectObjectList CurveList [get]
 Returns the selected curve list. More...
 
unsafe double DistanceTolerance [get, set]
 Returns or sets the distance tolerance More...
 
unsafe bool EqualLength [get, set]
 Returns or sets the equal length More...
 
unsafe bool EqualRadius [get, set]
 Returns or sets the equal radius More...
 
unsafe bool Horizontal [get, set]
 Returns or sets the horizontal More...
 
unsafe bool Parallel [get, set]
 Returns or sets the parallel More...
 
unsafe bool Perpendicular [get, set]
 Returns or sets the perpendicular More...
 
unsafe bool PointOnCurve [get, set]
 Returns or sets the point on curve More...
 
unsafe bool Tangent [get, set]
 Returns or sets the tangent More...
 
unsafe bool Vertical [get, set]
 Returns or sets the vertical More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.SketchAutoConstrainBuilder

To create a new instance of this class, use NXOpen.SketchCollection.CreateAutoConstrainBuilder

Default values.

Property Value

Horizontal

True

Parallel

True

Perpendicular

True

Tangent

True

Vertical

True

Created in NX5.0.0

Member Function Documentation

unsafe void NXOpen.SketchAutoConstrainBuilder.ClearAllConstraints ( )
inline

Clear all of the indivivual constraints (turn toggle to off for each one)

Created in NX5.0.0

License requirements: solid_modeling ("SOLIDS MODELING")

unsafe void NXOpen.SketchAutoConstrainBuilder.SetAllConstraints ( )
inline

Set all of the individual constraints (turn toggle to on for each one)

Created in NX5.0.0

License requirements: solid_modeling ("SOLIDS MODELING")

Property Documentation

unsafe double NXOpen.SketchAutoConstrainBuilder.AngleTolerance
getset

Returns or sets the angle tolerance

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe bool NXOpen.SketchAutoConstrainBuilder.ApplyRemoteConstraints
getset

Returns or sets the apply remote constraints

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe bool NXOpen.SketchAutoConstrainBuilder.Coincident
getset

Returns or sets the coincident

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe bool NXOpen.SketchAutoConstrainBuilder.Collinear
getset

Returns or sets the collinear

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe bool NXOpen.SketchAutoConstrainBuilder.Concentric
getset

Returns or sets the concentric

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.SelectObjectList NXOpen.SketchAutoConstrainBuilder.CurveList
get

Returns the selected curve list.

Created in NX5.0.0

License requirements: None.

unsafe double NXOpen.SketchAutoConstrainBuilder.DistanceTolerance
getset

Returns or sets the distance tolerance

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe bool NXOpen.SketchAutoConstrainBuilder.EqualLength
getset

Returns or sets the equal length

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe bool NXOpen.SketchAutoConstrainBuilder.EqualRadius
getset

Returns or sets the equal radius

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe bool NXOpen.SketchAutoConstrainBuilder.Horizontal
getset

Returns or sets the horizontal

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe bool NXOpen.SketchAutoConstrainBuilder.Parallel
getset

Returns or sets the parallel

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe bool NXOpen.SketchAutoConstrainBuilder.Perpendicular
getset

Returns or sets the perpendicular

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe bool NXOpen.SketchAutoConstrainBuilder.PointOnCurve
getset

Returns or sets the point on curve

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe bool NXOpen.SketchAutoConstrainBuilder.Tangent
getset

Returns or sets the tangent

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe bool NXOpen.SketchAutoConstrainBuilder.Vertical
getset

Returns or sets the vertical

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.